@font-face {
    font-family: 'VT323';
    /* Define a name for the font */
    src: url('../font/VT323-Regular.ttf') format('truetype');
    /* Path to the font file */
}

[v-cloak] {
    display: none;
}

html {
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
}

body {
    font-family: 'VT323', monospace;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
    background-color: #0d0d0d;
    color: #000;
    overflow: hidden;
}

.app-container {
    position: absolute;
    transform: scale(1);
    transform-origin: center center;
}


.bezel {
    --shadow-color: rgba(0, 0, 0, 0.2);
    display: flex;
    width: 360px;
    height: 350px;
    margin: 0 auto;
    border: 1px solid black;
    box-shadow: 0 10px 20px var(--shadow-color), 0 6px 6px var(--shadow-color);
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#4c4c4c+0,595959+12,666666+25,474747+39,2c2c2c+50,000000+51,111111+60,2b2b2b+76,1c1c1c+91,131313+100;Black+Gloss+%231 */
    background: #4c4c4c;
    /* Old browsers */
    background: -moz-linear-gradient(top, #4c4c4c 0%, #595959 12%, #666666 25%, #474747 39%, #2c2c2c 50%, #000000 51%, #111111 60%, #2b2b2b 76%, #1c1c1c 91%, #131313 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #4c4c4c 0%, #595959 12%, #666666 25%, #474747 39%, #2c2c2c 50%, #000000 51%, #111111 60%, #2b2b2b 76%, #1c1c1c 91%, #131313 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #4c4c4c 0%, #595959 12%, #666666 25%, #474747 39%, #2c2c2c 50%, #000000 51%, #111111 60%, #2b2b2b 76%, #1c1c1c 91%, #131313 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4c4c4c', endColorstr='#131313', GradientType=0);
    /* IE6-9 */
    align-items: center;
    justify-content: center;
    border-radius: 85px;
    position: relative;
}

.bezel>h1 {
    position: absolute;
    letter-spacing: 6px;
    top: 2px;
    margin: 0;
    font-weight: 400;
    line-height: 0.8;
    font-weight: 600;
    color: black;
    font-size: 33px;
}

.bezel>h1:nth-child(2) {
    color: #ecf0f1;
    font-size: 33px;
    font-weight: 400;
}

.watch-outer {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    width: 300px;
    height: 290px;
    border-radius: 72px;
    box-shadow: 0 -2px 1px rgba(255, 255, 255, 0.3), 0 3px 3px rgba(255, 255, 255, 0.3);
    position: relative;
}

.watch-outer>h3 {
    position: absolute;
    color: white;
    font-size: 23px;
    font-weight: 400;
    line-height: 0.8;
    margin: 0;
}

.watch-outer>h3.top {
    top: 3px;
}

.watch-outer>h3.bottom {
    bottom: 3px;
}

/* https://codepen.io/josetxu/pen/VwWVKJd */
.watch-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 48px;
    background-color: rgba(131, 160, 169, 0.8);
    width: 260px;
    height: 240px;
    --units: 2px;
    --brick1: rgba(131, 160, 169, 0.8);
    --brick2: rgba(131, 160, 169, 0.8);
    --lines: #000;
    --gp-ln: 50%/calc(var(--units) * 10) calc(var(--units) * 5);
    --gp-cn: 50%/calc(var(--units) * 5) calc(var(--units) * 5);
    background:
        repeating-conic-gradient(from 90deg at 95% 55%, var(--lines) 0% 25%, #fff0 0% 100%) var(--gp-cn),
        repeating-linear-gradient(180deg, var(--lines) 0 5%, #fff0 0 50%, var(--lines) 0 55%, var(--brick2) 0 100%) var(--gp-ln),
        repeating-linear-gradient(90deg, var(--brick1) 0 47.5%, var(--lines) 0 50%, var(--brick1) 0 97.5%, var(--lines) 0 100%) var(--gp-ln);
}

/* Media query for smaller screens */
@media (max-width: 400px) {
    .watch-inner {
        /* Increase line thickness for smaller screens */
        --units: 3px;
    }
}

.watch-back {
    background-color: white;
    border-radius: 9px;
}

.watch-face {
    width: 220px;
    height: 180px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    padding: 5px;
    background-color: rgba(131, 160, 169, 0.35);
    border-radius: 9px;
    border: 2px solid black;
    overflow: hidden;
}

.watch-face.night-mode {
    background-color: #111111;
    color: white;
}

.watch-face.night-mode hr {
    border-color: white;
}

.watch-face.night-mode .progress-bar progress::-webkit-progress-bar {
    background-color: #222;
}

.watch-face.night-mode .progress-bar progress::-webkit-progress-value {
    background-color: white;
}

.watch-face.night-mode .progress-bar progress::-moz-progress-bar {
    background-color: white;
}

.watch-face.night-mode .icon {
    filter: invert(1) brightness(2);
}

.watch-face.night-mode .calendar .date {
    border-color: white;
}

[v-cloak] {
    display: none;
}

.top-section {
    display: flex;
    justify-content: space-between;
    line-height: 0.8;
}

.calendar {
    justify-content: flex-end;
    align-items: center;
    display: flex;
    font-size: 40px;
    line-height: 0.8;
    position: relative;
}

.calendar .day-of-week {
    margin-right: 3px;
}

.calendar .month,
.calendar .day {
    margin-right: 9px;
}

.top-section .geo-info {
    display: flex;
    align-items: center;
}

.top-section .geo-info .country {
    margin-right: 2px;
    font-size: 16px;
}

/* .top-section .geo-info .sunrise-sunset {
    display: flex;
    align-items: center;
} */

/* .top-section .geo-info .sunrise-sunset .sun-icon {
    width: 9px;
    height: 9px;
}

.top-section .geo-info .sunrise-sunset .up-down-icon {
    width: 13px;
    height: 13px;
    margin-left: -3px;
}

.top-section .geo-info .sun-times {
    font-size: 13px;
} */

.date {
    display: flex;
    justify-content: center;
    border: 1px solid black;
    border-radius: 3px;
    padding: 2px;
}

.time {
    display: flex;
    align-items: baseline;
    justify-content: flex-end;
    line-height: .8;
    position: relative;
}

.larger-time {
    display: flex;
    font-size: 83px;
    line-height: 50px;
    letter-spacing: -3px;
    margin-right: 3px;
}

.smaller-time {
    display: flex;
    align-items: baseline;
}

.smaller-time .seconds {
    font-size: 48px;
}

.smaller-time .ampm {
    font-size: 33px;
}

.graphs {
    font-size: 23px;
    margin: 9px 0;
}

.graphs .icon {
    margin-right: 9px;
}

.progress-bar {
    display: flex;
    align-items: center;
    line-height: 19px;
    cursor: pointer;
}

.progress-bar label {
    display: flex;
    align-items: center;
}

.progress-bar progress {
    width: 153px;
    margin: 0 9px 0 0;
}

.progress-bar .progress-stats {
    /* font-size: 19px; */
}

.progress-inner {
    display: flex;
    align-items: center;
}

progress {
    /* Set the dimensions */
    width: 100%;
    height: 10px;

    /* Reset the appearance */
    -webkit-appearance: none;
    appearance: none;
}

/* Set the color of the progress bar */
progress::-webkit-progress-bar {
    background-color: #f3f3f3;
}

progress::-webkit-progress-value {
    background-color: #000;
}

progress::-moz-progress-bar {
    background-color: #000;
}

.icon {
    width: 16px;
    height: 16px;
    background-size: cover;
    display: inline-block;
    cursor: pointer;
}

.calendar-icon {
    background-image: url('../img/calendar.png');
}

.sun-icon {
    background-image: url('../img/sun.png');
}

.moon-icon {
    background-image: url('../img/moon-dark.png');
}

.world-icon {
    background-image: url('../img/world.png');
}

.briefcase-icon {
    background-image: url('../img/briefcase.png');
}

.bell-icon {
    background-image: url('../img/bell.png');
}

.help-icon {
    background-image: url('../img/help.png');
    margin-right: 3px;
}

.close-icon {
    background-image: url('../img/close.png');
    cursor: pointer;
    position: absolute;
    right: 4px;
    top: 9px;
}

.up-down-icon {
    background-image: url('../img/up-down.png');
}

.eye-icon {
    background-image: url('../img/eye.png');
}

.closed-eye-icon {
    background-image: url('../img/closed-eye.png');
}

.help-text {
    padding: 0;
    margin: 0 auto;
    position: relative;
    text-transform: uppercase;
}

.help-text p {
    margin: 0;
    margin-top: 16px;
    font-size: 19px;
    margin-top: 6px;
}

.help-text ul {
    font-size: 16px;
    padding: 0;
    padding-left: 9px;
    margin: 0.5rem 0;
    line-height: 13px;
}

.help-text .legend {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.help-text .icon {
    width: 13px;
    height: 13px;
}

.chime-controls {
    display: flex;
    position: absolute;
    right: 4px;
    top: 0;
}

.chime-option {
    cursor: pointer;
    display: flex;
    align-items: center;
}

.chime-interval {
    width: 23px;
}

hr {
    border: 2px solid black;
    margin: 4px 0;
}

.sun-wick-container {
    position: relative;
    margin-top: 13px;
    margin-bottom: 9px;
}

.sun-wick-container .flame {
    position: absolute;
    top: -4px;
    /* Crimson, like blood */
    border-color: #990000 !important;
}

.sun-wick-container .icon {
    position: absolute;
    width: 13px;
    height: 13px;
    top: -4px;
    z-index: 9;
}

.sun-wick-container .info {
    position: absolute;
}

.sun-wick-container .info .time {
    font-size: 9px;
    position: absolute;
    top: -11px;
}